#include <bits/stdc++.h>
using namespace std;
int main(){
	int n,m;
	cin >> n >> m;
	vector<int> ans;
	map<int,int> mp;
	for(int i=0;i<m;i++){
		int x;
		cin >> x;
		mp[x] ++;
	}
	for( auto it : mp){
		if(it.second >= n){
			ans.push_back(it.first);
		}
	}
	cout << ans.size() << endl;
	for(int i:ans){
		cout << i << " ";
	}
}
